C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_SET_IDONE    **
C**************************
C
CD-Routine: Set the 'Integration Done' Flag - LRL_SET_IDONE
C This routine sets the 'integration done' flag for the Laue Reflections
C List and also stores the integration code type.
CD-end
CD-Fortran:
      SUBROUTINE LRL_SET_IDONE (ICODE_TYPE)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set 'integration done' flag (and integration code type)
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER ICODE_TYPE
CD-Parameters:
C ICODE_TYPE  i (R)  Integration code type 0 if not known to LRL routines
C                    (Used for interpreting the meanings of the 'ICODE'
C                    flags assigned when an intensity is integrated)
C                    =1 Integration using Q. Hao's routine LFN_SAINT
C                       as used in INTLDM/LAUEGEN
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C-------------------------------------------------------------------------------
C
      INTEGRATED = .TRUE.
      INTCODE_TYPE = ICODE_TYPE
      RETURN
      END
